/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.data;

import benten.core.AbstractBentenPlugin;

/**
 * Benten 用語集のための抽象 TSV 形式データ・プラグイン。
 * 
 * <UL>
 * <LI>TSV 形式で格納された用語集を Benten に認識させるための抽象クラスです。
 * <LI>Benten 用語集提供者は、Eclipse 上で用語集を有効にするために、このクラスを継承したクラスを提供する必要があります。
 * </UL>
 * 
 * @author YAMAMOTO Koji
 */
public abstract class AbstractBentenGlossaryDataTsvPlugin extends AbstractBentenPlugin {
	/** 
	 * 共用インスタンス。
	 * 
	 * <UL>
	 * <LI>一般的な Eclipse プラグインの流儀とは異なり、この場所にフィールドを配置しています。
	 * <LI>このクラスの継承先において、フィールドの値を更新する必要があります。
	 * </UL>
	 */
	protected static AbstractBentenGlossaryDataTsvPlugin plugin;

	/**
	 * このプラグインの共用インスタンスを取得。
	 * 
	 * <UL>
	 * <LI>一般的な Eclipse プラグインの流儀とは異なり、この場所にメソッドを配置しています。
	 * </UL>
	 * 
	 * @return このプラグインの共用インスタンス。
	 */
	public static AbstractBentenGlossaryDataTsvPlugin getDefault() {
		return plugin;
	}
}
